<!-- Based on compositing/squashing/invalidate-when-leaving-squashed-layer.html -->
<!DOCTYPE html>
<div style="position:absolute; height: 200px; width: 200px; transform: translateZ(0); background: lightgray"></div>
<div style="position:absolute; height: 200px; width: 200px; top: 50px; left: 50px; background:lightblue"></div>
<div id="target" style="position:absolute; height: 200px; width: 200px; top: 50px; left: 50px; background:lightblue"></div>
<script src="resources/paint-invalidation-test.js"></script>
<script>
// Tests that causing a squashed layer to leave its squashing layer causes an invalidation in the squashing layer for the previous
// location of the squashed layer.
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow (positioned) DIV id='target'",
];
function paintInvalidationTest() {
    var target = document.getElementById("target");
    target.style.transform = 'translateZ(0)';
};
runPaintInvalidationTest();
</script>
